/*
Theme Name: Haas Catering
Theme URI: https://www.royalkomm.de/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Björn Bennat Royalkomm
Author URI: https://www.royalkomm.de/
Template: hello-elementor
Version: 1.0.0
Text Domain: haas-catering
*/

/* Add your custom styles here */

/* Style all  */
.custom--form a {
    color: #e04243;
}

/* Style the checkbox container */
.custom--form .elementor-field-option:has(input[type="checkbox"]) {
    display: flex;
    align-items: center;
    gap: .5rem;
}

/* Style the Checkbox in the form */
.custom--form input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    border: 2px solid #e04243 !important;
    border-radius: 4px;
    background-color: #fff !important;
    cursor: pointer;
    position: relative;
}

/* Style the checkbox when its checked */
.custom--form input[type="checkbox"]:checked {
    background-color: #e04243 !important;
    border-color: #e04243 !important;
}

/* Style the radio options in the form */
.custom--form input[type="checkbox"]:checked::before {
    content: '✔';
    display: block;
    width: 100%;
    height: 100%;
    color: #fff;
    font-weight: bold;
    font-size: 16px;
    text-align: center;
    line-height: 18px;
    position: absolute;
    top: 0;
    left: 0;
}


.custom--form .elementor-field-option:has(input[type="radio"]) {
    background-color: #D4D4D4;
    border-radius: 5px;
    width: 100%;
    height: 200px;
    padding: 10px;
    margin-bottom: 1rem;
    display: flex;
    align-items: center;
    cursor: pointer;
    position: relative;
    transition: background-color 0.3s ease, border-color 0.3s ease, transform 0.2s ease;
}

.custom--form .elementor-field-option:has(input[type="checkbox"]) {
    height: auto;
}

/* Style for selected (checked) radio and checkbox options */
.custom--form .elementor-field-option:has(input[type="radio"]:checked) {
    background-color: #e04243;
    transform: scale(1.02);
}

/* Hide the actual radio/checkbox input but make it clickable */
.custom--form .elementor-field-option input[type="radio"] {
    position: absolute;
    opacity: 0;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    cursor: pointer;
    z-index: 1;
}

/* Style the button with a red border */
.custom--form button {
    border: 3px solid #e04243 !important;
}

/* Style the layout of radio button options within the form */
.custom--form .elementor-field-type-radio .elementor-field-subgroup {
    display: grid;
    grid-template-columns: 49% 49%;
    grid-row: auto;
    justify-content: space-between;
    gap: .5rem;
}

.custom--form .elementor-field-option:has(input[type="radio"]:checked) label {
    color: #fff;
}

/* Style the appearance of each radio option */
.custom--form .elementor-field-type-radio .elementor-field-option {
    position: relative;
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

/* Position the label text within the radio option */
.custom--form .elementor-field-type-radio .elementor-field-option label {
    position: absolute;
    bottom: 10px;
    width: 100%;
}

/* Style the emoji within the radio option */
.custom--form .elementor-field-type-radio .emoji {
    position: absolute;
    top: 25%;
    left: 50%;
    transform: translateX(-50%);
    font-size: 3rem;
    z-index: 10;
    cursor: pointer;
    width: 100%;
}

/* Style the image in field group ausbildung */
.custom--form .elementor-field-group-ausbildung .elementor-field-option::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    height: 75%;
    border-radius: 5px 5px 0 0;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

/* Place image in first field group ausbildung */
.custom--form .elementor-field-group-ausbildung .elementor-field-option:nth-child(1)::before {
    background-image: url('/wp-content/themes/haas-catering/images/HACA_ja_1.jpg');
}

/* Place image in second field group ausbildung */
.custom--form .elementor-field-group-ausbildung .elementor-field-option:nth-child(2)::before {
    background-image: url('/wp-content/themes/haas-catering/images/HACA_nein_1.jpg');
}

.elementor-error .elementor-field{
	border: #E04243 2px solid !important;
}
	
	
.elementor-error .elementor-message-danger{
	color: #E04243 !important;
	font-size: 18px !important;
}